libjpeg upgrade (62 -> 80)

wtptrs

Verified User
Joined
Jul 13, 2015
Messages
74
We require libjpeg 8 to resolve a conflict between Imagick and libjpeg on one of our older servers (error: "Wrong JPEG library version: library is 62, caller expects 80"), similar to this thread: http://forum.directadmin.com/showthread.php?t=49359

Unfortunately I only see the following files listed on http://files.directadmin.com/services/custombuild/ :

jpegsrc.v6b.tar.gz 2011-10-26 03:20 599K
jpegsrc.v7.tar.gz 2011-10-26 03:20 938K
jpegsrc.v9.tar.gz 2013-01-13 03:35 965K
jpegsrc.v9a.tar.gz 2014-01-19 03:44 1.0M
jpegsrc.v9c.tar.gz 2018-01-26 07:09 1.0M

Is it possible to install libjpeg 80 (I'm guessing jpegsrc.v8.tar.gz) using Custombuild?
 

ditto

Verified User
Joined
Apr 27, 2009
Messages
2,580
Sorry not to answer your question, but what I first would do is to delete all the old libjpeg versions on the server, and then recompile libjpeg in custombuild again, and then recompile newest imagemagick and imagick to see if the problem is solved.

I am on CentOS 7.4 and is running the latest version of imagemagick and imagick, but after upgrading libjpeg from 6b to 9c, I was not able to recompile imagemagick without error, it was solved by deleting the old jpeg version: https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=34097

But you could always upload your own jpeg-version to custombuild and manually change the versions.txt file
 
Top